Bug 1130422 - IP-Scanner not detected
Summary: IP-Scanner not detected
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sane-backends
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 08:09 UTC by franz.altm
Modified: 2015-06-29 22:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:04:42 UTC


Attachments (Terms of Use)

Description franz.altm 2014-08-15 08:09:15 UTC
My Epson XP-215 is not recognized with option 'net autodiscovery' in file 'etc/sane.d/epson2.conf'

Workaround:
Entering DNS-Name or IP-Address of the device in the above described section of the file.
Remark:
In the actual Linux-Ubuntu-Distribution 14.04 the scanner is detected automatically.

How reproducible:
always

Steps to Reproduce:
1. Restoring original installed file 'epson2.conf'
2. Starting xsane

Actual results:
The scanner can only be used with the above edited epson2.conf

Expected results:
Automatic recognition as in ubuntu.


Additional info:

Comment 1 Nils Philippsen 2014-08-15 13:14:13 UTC
For auto-discovery, the epson2 backends sends a UDP broadcast to port 3289. I guess that the response is filtered by the firewall because the sender isn't the broadcast address itself. In the case where you configure the scanner device manually, the device is addressed directly, therefore connection tracking rules apply and let the response through.

Thomas, Jiří, is there a "best practice" how to handle that with firewalld? E.g. is there a connection tracking module, or maybe an easier way to specify "let responses to UDP broadcasts [to port XYZ] back through"?

Comment 2 Fedora End Of Life 2015-05-29 12:38:25 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 22:04:42 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.